ccls(1)

NAME
ccls - C/C++/Objective-C language server

SYNOPSIS
ccls [options]

OPTIONS

-h  alias for -help

-index=<root>
    standalone mode: index a project and exit

-init=<string>
    extra initialization options in JSON

-log-file=<file>
    stderr or log file

-log-file-append
    append to log file

-test-index=<string>
    run index tests

-v=<int>
    verbosity, from -3 (fatal) to 2 (verbose)

SEE ALSO

1.  https://github.com/MaskRay/ccls/wiki

2.  https://langserver.org/

NOTES

This command is not intended for direct use. You should have an LSP(Language Server Protocol) client for your editors.

AUTHOR
This manual page was written by Shengjing Zhu <zhsj@debian.org>, for the Debian GNU/Linux system (but may be used by others).